Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1396847 (screencloud) - Review Request: screencloud - Easy to use screenshot sharing application
Summary: Review Request: screencloud - Easy to use screenshot sharing application
Keywords:
Status: NEW
Alias: screencloud
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1394149 1396846
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-20 21:47 UTC by Igor Gnatenko
Modified: 2021-06-04 00:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)
Patch for unbundling qtsingleapplication (1.19 KB, patch)
2017-01-02 20:58 UTC, Sandro Mani
no flags Details | Diff

Description Igor Gnatenko 2016-11-20 21:47:14 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/screencloud.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/screencloud-1.3.1-1.fc26.src.rpm
Description:
Easy to use screenshot sharing application.

Take a screenshot using one of the 3 hotkeys or simply click the
ScreenCloud tray icon. You can choose where you want to save your screenshot.

If you choose to upload your screenshot to the screencloud website, a link
will automatically be copied to your clipboard. You can share this link with
your friends or colleagues via email or in an IM conversation.
All they have to do is click the link and look at your screenshot.

ScreenCloud also offers FTP and SFTP uploading if you want to use
your own server.
Fedora Account System Username: ignatenkobrain

Comment 1 Sandro Mani 2017-01-02 20:58:17 UTC
Created attachment 1236717 [details]
Patch for unbundling qtsingleapplication

I'd justify bundling libqxt quoting upstream:
"
LIBQXT IS NO LONGER MAINTAINED
Qxt will likely not work with newer Qt versions due to usage of internal api. We recommend that you pick out the parts you want instead of using the entire libqxt.
"

Patch for unbundling qtsingleapplication attached.

Comment 2 Sandro Mani 2017-01-10 22:52:17 UTC
Hi Igor, any update here?

Comment 3 Igor Gnatenko 2017-01-12 17:59:24 UTC
(In reply to Sandro Mani from comment #2)
> Hi Igor, any update here?
Hey, give me couple of days. Busy =(

Comment 4 Sandro Mani 2017-01-12 18:00:14 UTC
No worries, just asking ;)

Comment 5 Tomáš Korbař 2018-02-13 16:09:34 UTC
Hello,
According to the fedora-review you dont have to list "gcc" and "make" in BuildRequires, i compiled the code after removal and it works so i think you can remove it.
Upstream already accepted change of desktop file and removed execution permission from LICENSE and README.md so you can remove that parts too.

Comment 6 Tomáš Korbař 2018-02-14 18:18:06 UTC
And if you would have some time you could also look at the unbundling.

Comment 7 Igor Gnatenko 2018-02-14 18:30:15 UTC
(In reply to Tomáš Korbař from comment #5)
> Hello,
> According to the fedora-review you dont have to list "gcc" and "make" in
> BuildRequires, i compiled the code after removal and it works so i think you
> can remove it.
> Upstream already accepted change of desktop file and removed execution
> permission from LICENSE and README.md so you can remove that parts too.

Bad luck, fedora-review. Guidelines say to explicitly mention everything.

(In reply to Tomáš Korbař from comment #6)
> And if you would have some time you could also look at the unbundling.

I tried to, but I failed (at least on libxqt), and qtsingleapplication failed too because they patch code.

Comment 8 Package Review 2021-05-01 00:45:33 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time, but it seems
that the review is still being working out by you. If this is right, please
respond to this comment clearing the NEEDINFO flag and try to reach out the
submitter to proceed with the review.

If you're not interested in reviewing this ticket anymore, please clear the
fedora-review flag and reset the assignee, so that a new reviewer can take
this ticket.

Without any reply, this request will shortly be resetted.

Comment 9 Package Review 2021-06-04 00:46:01 UTC
This is an automatic action taken by review-stats script.

The ticket reviewer failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we reset the status and the assignee of this ticket.


Note You need to log in before you can comment on or make changes to this bug.